Page 3 of 3

Re: Raspberry Pi

Posted: Mon Jul 13, 2015 12:50 pm
by Sem;colon
Hello Phil,

I'm not sure if this is possible with the RPi plugin, but you could use the SSH EG plugin for this, it runs commands asynchronously.

Re: Raspberry Pi

Posted: Mon Jul 13, 2015 1:05 pm
by Phil
Thanks. I'll have a look into it.

Re: Raspberry Pi

Posted: Wed Oct 04, 2017 8:44 am
by tameion
Plugin seems to be broken with Pre-Release .5.

Re: Raspberry Pi

Posted: Wed Oct 04, 2017 4:22 pm
by kgschlosser
I have updated this plugin to support eg 0.5+ and I have also included all of the necessary packages with the plugin it's self. I do not have the ability to fully test it to make sure it all works. But it does install and the plugin config does come up.

@Pako once this is tested you can add it to the front page if you like. Thanks again for all the years of dedication and hard work making these plugins. and sorry about them getting goofed up with EG 0.5 but unfortunately technology never stops changing. and we gotta change with it. I hope this helps reduce some of the support burden as you have a whole heap of plugins to maintain. Thanks again

K

simply double click the file to update/install no need to restart or even close EG

Re: Raspberry Pi

Posted: Thu Oct 19, 2017 4:45 pm
by nym
howdy. i'm getting this when trying to load this new plugin.

Code: Select all

Error loading plugin file: C:\ProgramData\EventGhost\plugins\RaspberryPi
Traceback (most recent call last) (0.5.0-rc4):
  File "C:\ProgramData\EventGhost\plugins\RaspberryPi\__init__.py", line 109, in <module>
    from ._packages import paramiko # NOQA
  File "C:\ProgramData\EventGhost\plugins\RaspberryPi\_packages\paramiko\__init__.py", line 21, in <module>
    from paramiko._version import __version__, __version_info__
  File "C:\ProgramData\EventGhost\plugins\RaspberryPi\_packages\paramiko\__init__.py", line 31, in <module>
    from paramiko.transport import SecurityOptions, Transport
  File "C:\ProgramData\EventGhost\plugins\RaspberryPi\_packages\paramiko\transport.py", line 34, in <module>
    from cryptography.hazmat.primitives.ciphers import algorithms, Cipher, modes
  File "C:\ProgramData\EventGhost\plugins\RaspberryPi\_packages\cryptography\hazmat\primitives\ciphers\__init__.py", line 7, in <module>
    from cryptography.hazmat.primitives.ciphers.base import (
  File "C:\ProgramData\EventGhost\plugins\RaspberryPi\_packages\cryptography\hazmat\primitives\ciphers\base.py", line 12, in <module>
    from cryptography.exceptions import (
  File "C:\ProgramData\EventGhost\plugins\RaspberryPi\_packages\cryptography\exceptions.py", line 7, in <module>
    from enum import Enum
ImportError: No module named enum

Re: Raspberry Pi

Posted: Thu Oct 19, 2017 9:04 pm
by kgschlosser
Ahhh ok. I forgot that EG 0.b pulls packaged from a python installation and I have Enum installed in mine. I will have it fixed up in a jiffy.

Re: Raspberry Pi

Posted: Fri Feb 08, 2019 5:36 am
by IRQ
Hi,

I'm new around here and try to wrap my head around EventGhost (looks very useful) but bumped into issue when trying this plugin...

Code: Select all

Error loading plugin file: C:\ProgramData\EventGhost\plugins\RaspberryPi
Traceback (most recent call last) (0.5.0-rc4):
  File "C:\ProgramData\EventGhost\plugins\RaspberryPi\__init__.py", line 109, in <module>
    from ._packages import paramiko # NOQA
  File "C:\ProgramData\EventGhost\plugins\RaspberryPi\_packages\paramiko\__init__.py", line 37, in <module>
    from paramiko.ssh_gss import GSSAuth, GSS_AUTH_AVAILABLE, GSS_EXCEPTIONS
ImportError: cannot import name GSS_EXCEPTIONS
Is this plugin incompatible with 0.5b or am I missing something?

Re: Raspberry Pi

Posted: Sat Feb 09, 2019 5:57 pm
by Phil
I've not tried it with 0.5b but the previous comment was
Ahhh ok. I forgot that EG 0.b pulls packaged from a python installation and I have Enum installed in mine. I will have it fixed up in a jiffy.
Perhaps a jiffy is a little over 16 months?

Re: Raspberry Pi

Posted: Sun Feb 10, 2019 11:44 am
by kgschlosser
no this is a different issue.